.upload-form {
    animation: fadeIn 0.5s ease-out;
    background-color: var(--color-form-bg);
    background-image: url("../../images/form_background_contour_pattern.svg");
    border-radius: 20px;
    box-shadow: var(--shadow-input);
    padding-block: 30px;
}

.upload-form__file-select {
    align-items: center;
    background-color: var(--color-input-bg);
    border-radius: 10px;
    box-shadow: var(--shadow-input);
    display: flex;
    justify-content: space-between;
    overflow: hidden;
    padding-inline: 0.5rem;
}

.upload-form__text-input {
    color: var(--color-input-font-primary);
    cursor: pointer;
    flex-grow: 1;
    overflow: hidden;
    padding: 1rem;
    text-overflow: ellipsis;
    text-wrap: nowrap;
}

.upload-form__add-button {
    align-items: center;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    font-size: 1.5rem;
    height: 35px;
    justify-content: center;
    width: 35px;
}

.upload-form__add-button:hover {
    color: var(--color-input-primary);
}

.upload-form__accept-terms {
    align-items: center;
    display: flex;
    font-family: var(--font-body);
    justify-content: center;
}

.upload-form__accept-terms--not-accepted {
	animation: shake-horizontal 0.8s cubic-bezier(0.455, 0.030, 0.515, 0.955) both;
}

.upload-form__accept-terms input[type="checkbox"] {
    margin-right: 0.5rem;
}

.upload-form__accept-terms label {
    cursor: pointer;
    user-select: none;
}

.upload-form__submit {
    display: block;
    width: 10em;
}

/* md */
@media screen and (min-width: 448px) {
    .upload-form__text-input, .upload-form__accept-terms {
        font-size: 1rem;
    }
}
/* xl */
@media screen and (min-width: 576px) {
    .upload-form__text-input, .upload-form__accept-terms {
        font-size: 1.25rem;
    }
}

/* 3xl */
@media screen and (min-width: 768px) {
    .upload-form__text-input, .upload-form__accept-terms {
        font-size: 1.5rem;
    }
}

/* 5xl */
@media screen and (min-width: 1024px) {
    .upload-form__file-select {
        max-width: 768px;
    }
}

/* ----------------------------------------------
 * Generated by Animista on 2026-5-19 17:47:12
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation shake-horizontal
 * ----------------------------------------
 */
@keyframes shake-horizontal {
  0%,
  100% {
    transform: translateX(0);
  }
  10%,
  30%,
  50%,
  70% {
    transform: translateX(-10px);
  }
  20%,
  40%,
  60% {
    transform: translateX(10px);
  }
  80% {
    transform: translateX(8px);
  }
  90% {
    transform: translateX(-8px);
  }
}